Keyboard overview

The keyboard is the primary way of entering text in a computer, although it may be replaced by handwriting and speech recognition programs in the future.

A keyboard does not require adjustments or software settings after you plug it in. It should just work.

However, you can use Keyboard in Control Panel to change some settings. You can adjust the rate at which a character is repeated when you hold down a key, and the time delay before it starts repeating. You can also adjust the blink rate of the insertion point.

Most actions you can perform with your mouse can also be performed with your keyboard. For information about keyboard shortcuts in Windows, click Related Topics. See the online Help in individual programs for information about using shortcuts in those programs.

You can switch to a different keyboard layout or enter text in other languages without changing keyboards. However, the key labels may no longer match the characters you are entering. Use Regional and Language Options in Control Panel for changing languages and keyboard layouts.

Related Topics


Adjust the cursor blink rate

Microsoft Windows graphic

To adjust the cursor blink rate

  1. Open Keyboard in Control Panel.
  2. On the Speed tab, drag the Cursor blink rate slider.

    3. The test cursor to the left of the slider area blinks at the new rate.

Notes

  • XOX
  • To prevent the cursor (insertion point) from blinking, drag the slider to the left end of the bar. The cursor will remain visible, but will not blink.


Adjust the key repeat rate

To adjust the key repeat rate

  1. Open Keyboard in Control Panel.
  2. On the Speed tab, make changes as follows:
    • To adjust the amount of time that elapses before characters repeat when you hold down a key, drag the Repeat delay slider.
    • To adjust how quickly characters repeat when you hold down a key, drag the Repeat rate slider.

Note

  • XOX


Update your keyboard driver

To update your keyboard driver

XOX

  1. Open Keyboard in Control Panel.
  2. On the Hardware tab, click Properties.
  3. On the Driver tab, click Update Driver.
  4. Follow the instructions that appear on your screen. You can have Windows search for the driver, or point to the driver's location yourself.

Notes

  • XOX
  • Update your driver if your keyboard has hot keys that are not working properly. Hot keys are found on newer keyboards and are used to start programs, navigate on the Web, and switch to lower power states.


View details about your keyboard driver

To view details about your keyboard driver

  1. Open Keyboard in Control Panel.
  2. On the Hardware tab, click Properties.
  3. On the Driver tab, click Driver Details.

    Under Driver files, the name and location for each driver you have installed is listed. Provider name, file version, copyright information, and the digital signer are also provided.

Note

  • XOX


Revert to your previous keyboard driver

To revert to your previous keyboard driver

XOX

  1. Open Keyboard in Control Panel.
  2. On the Hardware tab, click Properties.
  3. On the Driver tab, click Roll Back Driver.

Note

  • XOX


Uninstall your keyboard driver

To uninstall your keyboard driver

XOX

  1. Open Keyboard in Control Panel.
  2. On the Hardware tab, click Properties.
  3. On the Driver tab, click Uninstall.
  4. If you are prompted to restart your computer, click Yes.

Notes

  • XOX
  • The Uninstall button is unavailable if removing the driver would make your keyboard unusable.